Loading...
Searching...
No Matches
Ogre::Log::Stream Class Reference

Stream object which targets a log. More...

`#include <OgreLog.h>`

## Classes

struct | Flush
| Simple type to indicate a flush of the stream to the log. More...

## Public Member Functions

| Stream (Log *target, LogMessageLevel lml, bool maskDebug)
| Stream (Stream &&rhs)=default
| ~Stream ()
Stream & | operator<< (const Flush &v)
template<typename T>
Stream & | operator<< (const T &v)

## Detailed Description

Stream object which targets a log.

A stream logger object makes it simpler to send various things to a log. You can just use the operator<< implementation to stream anything to the log, which is cached until a Stream::Flush is encountered, or the stream itself is destroyed, at which point the cached contents are sent to the underlying log. You can use Log::stream() directly without assigning it to a local variable and as soon as the streaming is finished, the object will be destroyed and the message logged.

  You can stream control operations to this object too, such as std::setw() and std::setfill() to control formatting.

Note
  Each Stream object is not thread safe, so do not pass it between threads. Multiple threads can hold their own Stream instances pointing at the same Log though and that is threadsafe.

## Constructor & Destructor Documentation

## Stream() [1/2]

Ogre::Log::Stream::Stream | ( | Log * | target,
|  | LogMessageLevel | lml,
|  | bool | maskDebug )

inline

References Ogre::Log::Log().

Referenced by Stream(), operator<<(), and operator<<().

## Stream() [2/2]

Ogre::Log::Stream::Stream | ( | Stream && | rhs | ) |

default

References Stream().

## ~Stream()

Ogre::Log::Stream::~Stream | ( |  | ) |

inline

## Member Function Documentation

## operator<<() [1/2]

template<typename T>

Stream & Ogre::Log::Stream::operator<< | ( | const T & | v | ) |

inline

References Stream().

## operator<<() [2/2]

Stream & Ogre::Log::Stream::operator<< | ( | const Flush & | v | ) |

inline

References Stream(), and Ogre::BLANKSTRING.

The documentation for this class was generated from the following file:

- OgreLog.h